.form {
    background-color: rgba(black, .8);
    width: 600px;
    position: absolute;
    right: 0;
    bottom: -59px;

    @media(max-width: 1440px) {
        width: 540px;
    }

    &__wrapper {
        padding: 30px 25px;
    }

    &__content {
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: flex-start;
        flex-wrap: wrap;
        padding: 30px 0;
    }

    &__header {
        font-size: 30px;
        color: white;
        font-weight: 300;
        padding-left: 10px;
        padding-bottom: 20px;
        border-bottom: 1px solid $blue;
    }

    &__submit {
        -webkit-appearance: none;
        border: none;
        width: 100%;
        padding: 15px 0;
        background-color: white;
        color: $darkBlue;
        font-weight: 700;
        font-size: 24px;
        transition: all .15s ease-in-out;

        &:hover {
            color: white;
            background-color: $darkBlue;
            cursor: pointer;
        }
    }

    &__label {
        width: 47%;
        color: $gray;
        font-size: 12px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        position: relative;
        margin-top: 1.4vw;
        cursor: text;

        &--big {
            width: 100%;
        }

        &:first-child {
            margin-top: 0;
        }

        &:nth-child(2) {
            margin-top: 0;
        }
    }

    &__input {
        -webkit-appearance: none;
        background-color: transparent;
        border: none;
        border-bottom: 1px solid $inputBorder;
        width: 100%;
        padding: 10px 15px;
        font-size: 14px;
        resize: none;
        transition: all .15s ease-in-out;
        color: $gray;

        &--invalid {
            border-bottom: 1px solid $red;
        }

        &::placeholder {
            opacity: 0;
        }

        &:focus {
            border-bottom: 1px solid white;
            color: white;

            &+.form__placeholder {
                opacity: 1 !important;
                top: -12px;

                @media(max-width: 1023px) {
                    top: 5px
                }

                left: 0;
                font-size: 10px;
                color: white !important;

                .form__placeholder--red {
                    opacity: 0;
                }
            }
        }

        &:not(:placeholder-shown) {
            &+.form__placeholder {
                top: -12px;

                @media(max-width: 1023px) {
                    top: 5px
                }

                left: 0;
                font-size: 10px;
                color: $gray;

                .form__placeholder--red {
                    opacity: 0;
                }
            }
        }
    }

    &__error {
        position: absolute;
        top: -12px;

        @media(max-width: 1023px) {
            top: 5px
        }

        right: 0;
        color: $red;
        font-size: 10px;
        display: none;
    }

    &__placeholder {
        position: absolute;
        top: 10px;
        left: 15px;
        color: $gray;
        font-size: 12px;
        transition: all .15s ease-in-out;

        &--red {
            color: $red;
            font-size: 14px;
            transition: all .15s ease-in-out;
        }
    }

    &__checkbox {
        margin-right: 15px;
        -webkit-appearance: none;
        min-width: 16px;
        width: 16px;
        height: 16px;
        background-color: $checkboxGray;
        display: flex;
        justify-content: center;
        align-items: center;
        cursor: pointer;
        border: 1px solid transparent;

        &--invalid {
            border: 2px solid $red;
        }

        &::after {
            content: "";
            width: 10px;
            height: 10px;
            background-color: $checkboxLightGray;
            opacity: 0;
            transition: all .15s ease-in-out;
        }

        &:checked {
            border: 1px solid transparent;

            &::after {
                opacity: 1;
            }
        }

        &-wrapper {
            display: flex;
            justify-content: flex-start;
            align-items: flex-start;
            margin-top: 20px;

            &:first-of-type {
                margin-top: 30px;
            }
        }

        &-label {
            color: $checkboxGray;
            font-size: 12px;
            cursor: pointer;
        }

        &-link {
            text-decoration: underline;
            color: $checkboxGray;
            transition: all .15s ease-in-out;

            &:hover {
                color: white;
            }
        }
    }
}

@media(max-width: 1439px) {
    .form {
        width: 40vw;
        bottom: -39px;

        &__submit {
            padding: 10px 0;
            font-size: 16px;
        }
    }
}

@media(max-width: 1023px) {
    .form {
        width: 500px;
        max-width: 100%;
        position: static;

        &__header {
            text-align: center;
        }

        &__label {
            width: 100%;
            margin-top: 20px;
        }
    }
}